Skip to main content

Update a ticket credential

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/ticket

Since: 8.2511.0

Required permission(s): AccessControl.CredentialModify,AccessControl.CredentialView

Partially updates the ticket credential of the specified user. Only fields included in the request body are updated. Omitted fields remain unchanged.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential.

    modificationComment string

    Textual comment regarding the last modification.

    version int32

    Version used for optimistic locking.

    policyExtId string

    The external ID of the policy to apply to this ticket credential.

    identification string

    The identification string of the ticket.

    validity object

    The validity period of the ticket credential.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Responses

Ticket credential updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    ticket string

    Hashed ticket value with message digest algorithm prefix.

    failureCount int32

    Number of times the ticket was used incorrectly. Default is 0 during credential creation.

    successCount int32

    Number of times the ticket has been verified successfully. Default is 0 during credential creation.

    resetCount int32

    Number of times the credential was regenerated.

Loading...